API reference
Request messages
Request messages and attachments.
Create request message
POST
Add a company message to a request. Fails if CLOSED.
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
request_id |
string | Yes | The request ID. |
Request bodyapplication/json
Message body, sent as HTML.
HTML message body.
Attachment IDs to attach.
Possible values:
MESSAGE UPDATE200The created message.application/json
Show properties
Possible values:
MESSAGE UPDATEThe message body.
True when the body is HTML.
Message author (account or profile), or null.
Present only when loaded with attachments.
post/admin/company/requests/{request_id}/messages
POST /api/admin/company/requests/{request_id}/messages HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "message": "string", "message_html": "string", "attachments": [ "string" ], "type": "MESSAGE" }
200The created message.
{
"result": {
"id": "string",
"type": "MESSAGE",
"details": "string",
"is_html": false,
"user": {},
"attachments": [{}],
"company_id": "string",
"property_id": "string",
"created_at": "string",
"updated_at": "string"
}
}Sign request attachment
POST
Pre-sign an upload URL for an existing request's attachment.
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
request_id |
string | Yes | The request ID. |
Request bodyapplication/json
MIME type of the file to upload.
200Pre-signed attachment upload URL.application/json
Show properties
Pre-signed upload URL.
Attachment ID used on message create.
post/admin/company/requests/{request_id}/sign-attachment
POST /api/admin/company/requests/{request_id}/sign-attachment HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "mime": "string" }
200Pre-signed attachment upload URL.
{
"result": {
"url": "string",
"key": "string"
}
}Download request attachment
GET
Get a time-limited download URL for an attachment.
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
request_id |
string | Yes | The request ID. |
attachment_id |
string | Yes | The attachment ID. |
200Attachment download URL and name.application/json
Show properties
get/admin/company/requests/{request_id}/attachments/{attachment_id}
GET /api/admin/company/requests/{request_id}/attachments/{attachment_id} HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
200Attachment download URL and name.
{
"result": {
"url": "string",
"name": "string"
}
}